#include <iostream>
#include <sstream>
#include <string>
#include <cmath>
using namespace std;

#include "TKor.h"

TKor::TKor(float x, float y, float a) : pi(3.14159265) {
    nev = "Kr";
    this->x = x;
    this->y = y;
    this->a = a;
}

float TKor::Tavolsag() {
    // a kzppont tvolsga az origtl
    return (float)(sqrt(pow(x, 2) + pow(y, 2)));
}

float TKor::Terulet() {
    return (float)(pow(a, 2) * pi);
}

string TKor::Sztringkent() {
 	stringstream ss;
    ss << nev << endl;
    ss << "x = " << x << " y = " << y << endl;
    ss << "Tvolsg az origtl: " << Tavolsag() << endl;
    ss << "Terlet: " << Terulet() << endl;
    ss << "a = " << a << endl;
	return ss.str();
 }
