#include <iostream>
#include <sstream>
#include <string>
#include <cmath>
using namespace std;

#include "TKor.h"

TKor::TKor(float x, float y, float a) : TSikidom(x, y, a), pi(3.14159265) {
    SetNev("Kr");
}

float TKor::Terulet() const {
    return GetA() * GetA() * pi;
}

float TKor::Tavolsag(float x, float y) {
	return (float)sqrt(pow((x - this->GetX()), 2) + pow((y - this->GetY()), 2));
}
