#include <iostream>
#include <clocale>
using namespace std;
#include "TSikidom.h"
#include "TKor.h"
#include "TEllipszis.h"

int main()
{
    TKor *alak1, *kor;
    TEllipszis *alak2;

    setlocale(LC_ALL,"Hun");

    kor = alak1 = new TKor(1, 1, 2);
    alak2 = new TEllipszis(2, 2, 3, 4);
    cout << alak1 << endl;
    cout << alak2 << endl;
    cout << endl;
    delete kor;

    alak1 = alak2;
    cout << "Az tirnyts utn:" << endl;
    cout << "Nv: " << alak1->GetNev() << endl;
    cout << "Tvolsg: " << alak1->Tavolsag() << endl;
    cout << "Terlet: " << alak1->Terulet() << endl;
    cout << "a: " << alak1->GetA() << endl;
    cout << endl;

    cout << "Tpusknyszertssel:" << endl;
    cout << "Lapultsg: " << dynamic_cast<TEllipszis*>(alak1)->Lapultsag() << endl;
    // vagy:
    TEllipszis * temp = dynamic_cast<TEllipszis*>(alak1);
    cout << "Lapultsg: " << temp->Lapultsag() << endl;
    alak1->SetA(10);
    cout << "temp->a: " << temp->GetA() << endl;

    delete alak2;
    cin.get();
}
