#include <iostream>
#include <iomanip>
#include <clocale>
using namespace std;
#include "TObject.h"
#include "TSikidom.h"
#include "TTeglalap.h"
#include "TEllipszis.h"
#include "Random.h"

int main()
{
    setlocale(LC_ALL,"Hun");
    typedef TObject *PObject;

	PObject *sikidom = new PObject[10];
	Random velszam;
	float a,b,x,y;

	for (int i = 0; i < 10; i++) {
        a = velszam.Next(1, 20);
        b = velszam.Next(1, 20);
        x = velszam.Next(1, 20);
        y = velszam.Next(1, 20);
		switch (velszam.Next(1, 3)) {
			case 1:
				sikidom[i] = new TEllipszis(x, y, a, b);
				break;
            default:
				sikidom[i] = new TTeglalap(x, y, a, b);
				break;
		}
	}

	for (int i = 0; i < 10; i++) {
	    cout.width(7);
	    cout.precision(4);
		if (dynamic_cast<TEllipszis *>(sikidom[i])) {
   		    // A C++ nem tamogatja a ksi kts dinamikus vltoztt:
			// cout << sikidom[i]->Lapultsag() << " " << sikidom[i]->GetNev() << endl;
		} else {
		    // A C++ nem tamogatja a ksi kts dinamikus vltoztt:
			// cout << sikidom[i]->AtlokSzoge() << " " << sikidom[i]->GetNev() << endl;
		}
	}

	cout << "A C++ nem tmogatja a ksi kts dinamikus vltozatt.";

	for (int i = 0; i < 10; i++) {
	    delete sikidom[i];
	}
	delete[] sikidom;
    cin.get();
}

