#include <iostream>
#include <iomanip>
#include <string>
#include <clocale>
using namespace std;
#include "TObject.h"
#include "TSikidom.h"
#include "TTeglalap.h"
#include "TEllipszis.h"
#include "Random.h"

int main()
{
    setlocale(LC_ALL,"Hun");
    typedef ILapult *PLapult;

	PLapult *sikidom = new PLapult[10];
	Random velszam;
	float a,b,x,y;

	for (int i = 0; i < 10; i++) {
        a = velszam.Next(1, 20);
        b = velszam.Next(1, 20);
        x = velszam.Next(1, 20);
        y = velszam.Next(1, 20);
		switch (velszam.Next(1, 3)) {
			case 1:
				sikidom[i] = new TEllipszis(x, y, a, b);
				break;
            default:
				sikidom[i] = new TTeglalap(x, y, a, b);
				break;
		}
	}

	for (int i = 0; i < 10; i++) {
	    cout.width(7);
	    cout.precision(4);
	    cout << fixed;
		cout << (sikidom[i]->Lapultsag()) << " " << (sikidom[i]->GetNev()) << endl;
	}

	for (int i = 0; i < 10; i++) {
		if (sikidom[i]->GetNev() == "Ellipszis")
			delete dynamic_cast<TEllipszis *>(sikidom[i]);
		else
			delete dynamic_cast<TTeglalap *>(sikidom[i]);
	}
	delete[] sikidom;
    cin.get();
}
