﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace gy7
{
    public class TEllipszis : TKör
    {
        public float B { get; set; }

        public TEllipszis(float x, float y, float a, float b) : base(x, y, a)
        {
            Név = "Ellipszis";
            this.B = b;
        }

        public override float Terület()
        {
            return A * B * pi;
        }

        public override string ToString()
        {
            string Temp = null;
            Temp = base.ToString();
            Temp += "B = " + B + '\n';
            Temp += "Lapultság: " + Lapultság() + '\n';
            return Temp;
        }

        public float Lapultság()
        {
            return 1 - Math.Min(A, B) / Math.Max(A, B);
        }
    }
}
