#include <iostream>
#include <iomanip>
#include <clocale>
using namespace std;
#include "TObject.h"
#include "TSikidom.h"
#include "TTeglalap.h"
#include "TEllipszis.h"
#include "Random.h"
#include "Gy5.h"

int main()
{
    setlocale(LC_ALL,"Hun");
    typedef TSikidom *PSikidom;

	PSikidom *sikidom = new PSikidom[10];
	Random velszam;
	float a,b,x,y;

	for (int i = 0; i < 10; i++) {
        a = velszam.Next(1, 20);
        b = velszam.Next(1, 20);
        x = velszam.Next(1, 20);
        y = velszam.Next(1, 20);
		switch (velszam.Next(1, 5)) {
			case 1:
				sikidom[i] = CreateKor(x, y, a);
				break;
			case 2:
				sikidom[i] = CreateEllipszis(x, y, a, b);
				break;
			case 3:
				sikidom[i] = CreateNegyzet(x, y, a);
				break;
            default:
				sikidom[i] = CreateTeglalap(x, y, a, b);
				break;
		}
	}

	for (int i = 0; i < 10; i++) {
	    cout.width(7);
	    cout.precision(4);
		cout<< sikidom[i]->ToString()<<endl;
	}

	for (int i = 0; i < 10; i++) {
	    DeleteSikidom(sikidom[i]);
	}
	delete[] sikidom;
    cin.get();
}


