﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace gy5
{
    public class TEllipszis : TKör, ILapult
    {
        public float B { get; set; }

        public string Név1
        {
            get { return Név; }
            set { Név = Név1; }
        }

        string ILapult.Név
        {
            get { return Név1; }
            set { Név1 = value; }
        }

        public float Lapultság()
        {
            return 1 - Math.Min(A, B) / Math.Max(A, B);
        }

        public TEllipszis(float x, float y, float a, float b) : base(x, y, a)
        {
            Név = "Ellipszis";
            this.B = b;
        }

        public override float Terület()
        {
            return A * B * pi;
        }

        public override string ToString()
        {
            string temp = null;
            temp = base.ToString();
            temp += "B = " + B + '\n';
            temp += "Lapultság: " + Lapultság() + '\n';
            return temp;
        }
    }
}
