#include "console.h"
#include "TElem.h"
#include "TNyul.h"
#include "TKaposzta.h"
#include "TRoka.h"
#include "TUres.h"

int TNyul::db = 0; // a kposztk szma

TNyul::TNyul(int x, int y) : TElem(x,y)
{
    szin = Console::WHITE;
    db++;
    Kiir();
}

TElem* TNyul::Ujelem()
{
    Szomszedok();
    TElem *ujelem;
    if (szomszedRoka) {
        ujelem =  new TRoka(x,y);
        db--;
    }
    else if (szomszedKaposzta) {
        ujelem = this;
    }
    else  {
        ujelem = new TUres(x,y);
        db--;
    }
    return ujelem;
}
