// sszefuttats vektorral

#include <iostream>
#include <iomanip>
#include <clocale>
#include <algorithm>
#include <vector>
using namespace std;

#include "Random.h"
Random velszam;

vector<int> tomb1, tomb2, ujtomb;

void Osszefuttat();
void Feltolt();
void Kiir(vector<int>);

int main()
{
    setlocale(LC_ALL,"Hun");

    Feltolt();
    Osszefuttat();

    cout << "Eredeti tmbk:" << endl;
    Kiir(tomb1); Kiir(tomb2);
    cout << endl << "j tmb:" << endl;
    Kiir(ujtomb);

    cin.get();
    return 0;
}

void Osszefuttat() {
    int i = 0, j = 0;
    while (i<tomb1.size() && j<tomb2.size()) {
        if (tomb1[i]<=tomb2[j])
            ujtomb.push_back(tomb1[i++]);
        else // (tomb1[i]>tomb2[j])
            ujtomb.push_back(tomb2[j++]);
    }
    while (i<tomb1.size())
        ujtomb.push_back(tomb1[i++]);
    while (j<tomb2.size())
        ujtomb.push_back(tomb2[j++]);
}

void Feltolt() {
    int maxindex = velszam.Next(5, 10);
    for (int i=1; i<=maxindex; i++)
        tomb1.push_back(velszam.Next(1, 20));
    sort(tomb1.begin(), tomb1.end());

    maxindex = velszam.Next(5, 10);
    for (int i=1; i<=maxindex; i++)
        tomb2.push_back(velszam.Next(1, 20));
    sort(tomb2.begin(), tomb2.end());
}

void Kiir(vector<int> tomb) {
    for (int i=0; i<tomb.size(); i++)
        cout << setw(3) << tomb[i];
    cout << " (" << tomb.size() << " elem)" << endl;
}
