#ifndef TVERSENYZO_H_INCLUDED
#define TVERSENYZO_H_INCLUDED

#include <string>
#include "TVerseny.h"
#include "console.h"
#include "random.h"

using namespace std;

class TVerseny;

class TVersenyzo
{
    public:
        TVersenyzo();
        TVersenyzo(int mez);
        TVersenyzo(int mez, Console::Color szin);
        void Fut(TVerseny *verseny);
        static int versenyzokSzama;
    private:
        static const int maxLepes = 6;
        static Console::Color szinek[];
        static int szinekSzama;
        static Random velszam;
        int mez;         // a versenyz meznek sorszma
        int szin;        // a versenyz meznek szne
        int helyzet;     // a versenyz pozcija a plyn
        string szokozok; // az elz helyzet trlshez
        void Kiir();
        void Init(int mez, Console::Color szin);
};

#endif // TVERSENYZO_H_INCLUDED
