#include <string>
#include <cmath>
using namespace std;

#include "TEllipszis.h"

TEllipszis::TEllipszis(float x, float y, float a, float b) : TKor(x, y, a) {
    SetNev("Ellipszis");
    this->b = b;
}

float TEllipszis::Lapultsag() {
    return 1 - min(GetA(), b) / max(GetA(), b);
}

float TEllipszis::Terulet() {
    return GetA() * b * pi;
}
