#include <iostream>
#include <sstream>
#include <cmath>
#include <string>
using namespace std;

#include "TNegyzet.h"

float TNegyzet::GetAtlo() {
     return GetA() * gyokketto;
}

TNegyzet::TNegyzet() : gyokketto(sqrt(2)){
    SetNev("Ngyzet");
    // implicit mdon meghvja az sosztly paramter nlkli konstruktort!
}

TNegyzet::TNegyzet(float x, float y, float a) : TKor(x, y, a),  gyokketto(sqrt(2)) {
    SetNev("Ngyzet");
}

float TNegyzet::Terulet() {
    return GetA() * GetA();
}

string TNegyzet::Sztringkent() {
 	stringstream ss;
    ss << TKor::Sztringkent();
    ss << "tl: " << GetAtlo() << endl;
	return ss.str();
}
