#include <iostream>
#include <clocale>
using namespace std;
#include "TSikidom.h"
#include "TKor.h"
#include "TEllipszis.h"

int main()
{
    TKor *alak1, *kor;
    TEllipszis *alak2;

    setlocale(LC_ALL,"Hun");

    kor = alak1 = new TKor(1, 1, 2);
    alak2 = new TEllipszis(2, 2, 3, 4);
    cout << alak1 << endl;
    cout << alak2 << endl;
    cout << endl;
    delete kor;

    alak1 = alak2;
    cout << "Az tirnyts utn:" << endl;
    cout << "Nv: " << alak1->GetNev() << endl;
    cout << "Tvolsg: " << alak1->Tavolsag() << endl;
    cout << "Terlet: " << alak1->Terulet() << endl;
    cout << "a: " << alak1->GetA() << endl;
    // cout << "b: " << alak1->GetB() << endl;  // fordtsi hiba, a TKor objektumosztlyban nincs GetB nev tagfggvny
    // cout << alak1->Lapultsag() << endl;      // fordtsi hiba, a TKr objektumosztlyban nincs Lapultsag nev tagfggvny

    cout << endl << "ToString:" << endl;
    cout << alak1->ToString() << endl; // kirja a Lapultsag rtkt is, mert az alak1=>ToString() most az alak2 objektum ToString() metdust hvja meg!
    // Lehetett volna csak: cout<< alak1 << endl;

    delete alak2;

    cin.get();
}
