#include <iostream>
#include <sstream>
#include <string>
#include <cmath>
using namespace std;

#include "TKor.h"

TKor::TKor(float x, float y, float a) : TSikidom(x, y, a), pi(3.14159265F) {
    SetNev("Kr");
}

float TKor::Terulet() const {
    return GetA() * GetA() * pi;
}
