#include <iostream>
#include <iomanip>
#include <clocale>
#include <algorithm>

using namespace std;
#include "TSikidom.h"
#include "TKor.h"
#include "TNegyzet.h"
#include "TTeglalap.h"
#include "TEllipszis.h"
#include "gy5.h"

// Exportlt C fggvnyek
void DLL_EXPORT DeleteSikidom(TSikidom *p) {
    delete p;;
}

TKor * DLL_EXPORT CreateKor(float x, float y, float a) {
    return new TKor(x, y, a);
}

TNegyzet * DLL_EXPORT CreateNegyzet(float x, float y, float a) {
    return new TNegyzet(x, y, a);
}

TEllipszis * DLL_EXPORT CreateEllipszis(float x, float y, float a, float b) {
    return new TEllipszis(x, y, a, b);
}

TTeglalap * DLL_EXPORT CreateTeglalap(float x, float y, float a, float b) {
    return new TTeglalap(x, y, a, b);
}





BOOL WINAPI DllMain(HINSTANCE hinstDLL, DWORD fdwReason, LPVOID lpvReserved)
{
    switch (fdwReason)
    {
        case DLL_PROCESS_ATTACH:
            // attach to process
            // return FALSE to fail DLL load
            break;

        case DLL_PROCESS_DETACH:
            // detach from process
            break;

        case DLL_THREAD_ATTACH:
            // attach to thread
            break;

        case DLL_THREAD_DETACH:
            // detach from thread
            break;
    }
    return TRUE; // succesful
}
