// sszefuttats tkzvel (dinamikus tmb)

#include <iostream>
#include <clocale>
#include <climits>
#include <iomanip>
#include <algorithm>
using namespace std;

#include "Random.h"
Random velszam;

const int vegtelen = INT_MAX;

int *tomb1, *tomb2, *ujtomb;
int darab1, darab2, darab;

void Osszefuttat();
void Feltolt();
void Kiir(int[], int);

int main()
{
    setlocale(LC_ALL,"Hun");

    Feltolt();
    Osszefuttat();

    cout << "Eredeti tmbk:" << endl;
    Kiir(tomb1, darab1);
    Kiir(tomb2, darab2);

    cout << endl << "j tmb:" << endl;
    Kiir(ujtomb, darab);

    delete[] tomb1;
    delete[] tomb2;
    delete[] ujtomb;
    cin.get();
    return 0;
}

void Osszefuttat() {
    int i = 0, j = 0;
    darab = 0;
    while (i<darab1+1 && j<darab2+1) {
        if (tomb1[i]<=tomb2[j])
            ujtomb[darab] = tomb1[i++];
        else // (tomb1[i]>tomb2[j])
            ujtomb[darab] = tomb2[j++];
        darab++;
    }
    darab--;
}

void Feltolt() {
    darab1 = velszam.Next(5, 10);
    tomb1 = new int[darab1+1];
    for (int i=0; i<darab1; i++)
        tomb1[i] = velszam.Next(1, 20);
    tomb1[darab1] = vegtelen;
    sort(&tomb1[0], &tomb1[darab1]); // az tkz a vgn marad

    darab2 = velszam.Next(5, 10);
    tomb2 = new int[darab2+1];
    for (int i=0; i<darab2; i++)
        tomb2[i] = velszam.Next(1, 20);
    tomb2[darab2] = vegtelen;
    sort(tomb2, tomb2 + darab2); // az tkz a vgn marad

    ujtomb = new int[darab1+darab2+1];
}

void Kiir(int tomb[], int darab) {
    for (int i=0; i<darab; i++)
        cout << tomb[i] << " ";
    cout << " (" << darab << " elem)" << endl;
}
