// Lpegets

#include <iostream>
#include <iomanip>
#include <stack>
#include <clocale>
using namespace std;
#include "Random.h"
Random velszam;

const int maxn = 101;
int szamok[maxn];
int vegpont;

void UtatGeneral();
void BejarRekurziv(int);
void BejarIterativ(int);
void KiirTablazat();

int main()
{
    setlocale(LC_ALL,"Hun");

    UtatGeneral();
    KiirTablazat();
    cout << "\n\nt (rekurzv): ";
    BejarRekurziv(vegpont);
    cout << "\n\nt (iteratv): ";
    BejarIterativ(vegpont);

    cin.get();
    return 0;
}

void BejarRekurziv(int cella) {
    if (cella!=1)
        BejarRekurziv(szamok[cella]);
    cout << cella << " ";
}

void BejarIterativ(int cella) {
    stack<int> verem;
    // Pakols a verembe
    while (cella!=1) {
        verem.push(cella);
        cella = szamok[cella];
    }
    // Feldolgozs
    verem.push(cella);
    while (!verem.empty()) {
        cout << verem.top() << " ";
        verem.pop();
    }
}

void UtatGeneral() {
    int kovetkezo, aktualis;
    for (int i=0; i<maxn; i++)
        szamok[i] = 0;
    cout << "Generlt t:   ";
    aktualis = 1;
    szamok[1] = -1;
    kovetkezo = velszam.Next(1, maxn);
    while (szamok[kovetkezo]==0) {
        cout << aktualis << " ";
        szamok[kovetkezo] = aktualis;
        aktualis = kovetkezo;
        kovetkezo = velszam.Next(1, maxn);
    }
    vegpont = aktualis;
    cout << vegpont;
}

void KiirTablazat() {
    cout << "\n\nTblzat\n" << "   ";
    for (int i=1; i<=10; i++)
        cout << setw(4) << i;
    cout << endl;
    for (int i=1; i<maxn; i++) {
        if (i % 10 == 1)
            cout << endl << setw(3) << i;
        if (szamok[i]!=0)
            cout << setw(4) << szamok[i];
        else
            cout << "  ..";
    }
}
