// Gyorsrendezs (quick sort)

#include <iostream>
#include <clocale>
using namespace std;
#include "Random.h"
Random velszam;

int *tomb;
int darab;

void Gyorsrendezes(int, int);
void Szetvalogat(int, int, int&);
void Feltolt();
void Kiir();

int main()
{
    setlocale(LC_ALL,"Hun");

    cout << "Gyorsrendezs" << endl;
    Feltolt();
    Kiir();
    Gyorsrendezes(0, darab-1);
    Kiir();
    cout << "\nKsz.";

    delete[] tomb;
    cin.get();
    return 0;
}

void Gyorsrendezes(int elso, int utolso) {
    int orszem;
    Szetvalogat(elso, utolso, orszem);
    if (elso<orszem-1)
        Gyorsrendezes(elso, orszem-1);
    if (orszem+1<utolso)
        Gyorsrendezes(orszem+1,utolso);
}

void Szetvalogat(int elso, int utolso, int &darab) {
    int temp;
    temp = tomb[elso];
    while (elso<utolso) {
        while (elso<utolso && tomb[utolso]>temp)
            utolso--;
        if (elso<utolso) {
            tomb[elso++] = tomb[utolso];
            while (elso<utolso && tomb[elso]<=temp)
                elso++;
            if (elso<utolso)
                tomb[utolso--] = tomb[elso];
        }
    }
    tomb[elso] = temp;
    darab = elso;
}

void Feltolt() {
    darab = velszam.Next(5, 10);
    tomb = new int[darab];
    for (int i=0; i<darab; i++)
        tomb[i] = velszam.Next(1, 20);
}

void Kiir() {
    cout << "\nTmbelemek:\n";
    for (int i=0; i<darab; i++)
        cout << tomb[i] << " ";
    cout << endl;
}
