// Kombinatorikai algoritmusok
// Ismtlses varicik
// Elemek: 0, 1, 2, ... , N-1

#include <iostream>
#include <iomanip>
#include <clocale>
#include <cmath>
using namespace std;

void Konvertal(long);

int *jegy;
int n, k, db;

int main()
{
    setlocale(LC_ALL,"Hun");
    do {
        cout << "N (<=10) = ";
        cin >> n;
        cout << "K = ";
        cin >> k; cin.get();
    } while ((n<1 || n>10) || (k<1));
    jegy = new int[k];
    cout << endl;
	cout<< n << " elem " << k << ". osztly ismtlses varicii:" << endl;

	long veg = (long)pow(n, k) - 1;
	for (long i = 0; i <= veg; i++) {
		cout << setw(3) << i + 1 << ".: ";
		Konvertal(i);
		cout << endl;
	}

    cin.get();
    delete [] jegy;
    return 0;
}

void Konvertal(long x)
{
	for (int i = 0; i < k; i++) {
		jegy[i] = 0;
	}

	int temp = x;
	int i = 0;
	while (temp != 0) {
		jegy[i] = temp % n;
		temp = temp / n;
		i++;
	}
	for (i = k-1; i >= 0; i--) {
		cout<<jegy[i];
	}
}
